Package wx :: Class DatePickerCtrlBase

[frames | no frames]

## Type DatePickerCtrlBase

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            DatePickerCtrlBase

Known Subclasses:
  `DatePickerCtrl`

Proxy of C++ DatePickerCtrlBase class

Method Summary
| `__init__(self)`
DateTime | ``GetLowerLimit`(self)` Get the lower limit of the valid range for the date selection, if any.
DateTime | ``GetUpperLimit`(self)` Get the upper limit of the valid range for the date selection, if any.
DateTime | ``GetValue`(self)` Returns the currently selected date.
| ``SetRange`(self, dt1, dt2)` Sets the valid range for the date selection.
| ``SetValue`(self, dt)` Changes the current value of the control.

Property Summary
| `LowerLimit`: See `GetLowerLimit`
| `thisown`: The membership flag
| `UpperLimit`: See `GetUpperLimit`
| `Value`: See `GetValue` and `SetValue`

Instance Method Details

### GetLowerLimit(self)

Get the lower limit of the valid range for the date selection, if any. If there is no range or there is no lower limit, then the `wx.DateTime` value returned will be invalid.

  Returns:
    DateTime

### GetUpperLimit(self)

Get the upper limit of the valid range for the date selection, if any. If there is no range or there is no upper limit, then the `wx.DateTime` value returned will be invalid.

  Returns:
    DateTime

### GetValue(self)

Returns the currently selected date. If there is no selection or the selection is outside of the current range, an invalid `wx.DateTime` object is returned.

  Returns:
    DateTime

### SetRange(self, dt1, dt2)

Sets the valid range for the date selection. If dt1 is valid, it becomes the earliest date (inclusive) accepted by the control. If dt2 is valid, it becomes the latest possible date.

If the current value of the control is outside of the newly set range bounds, the behaviour is undefined.

  Parameters:
    `dt1`
    (type=DateTime)

    `dt2`
    (type=DateTime)

### SetValue(self, dt)

Changes the current value of the control. The date should be valid and included in the currently selected range, if any.

Calling this method does not result in a date change event.

  Parameters:
    `dt`
    (type=DateTime)

Property Details

### LowerLimit

See `GetLowerLimit`

  Get Method:
    `GetLowerLimit`(self)

### thisown

The membership flag

### UpperLimit

See `GetUpperLimit`

  Get Method:
    `GetUpperLimit`(self)

### Value

See `GetValue` and `SetValue`

  Get Method:
    `GetValue`(self)
  Set Method:
    `SetValue`(self, dt)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:47 2009 | http://epydoc.sf.net